# Class DisjointExtentException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
IllegalGridGeometryException
DisjointExtentException

All Implemented Interfaces:
  `Serializable`

public class DisjointExtentException extends IllegalGridGeometryException
Thrown when the domain of two grid coverages or images do not intersect. The domain of a `GridCoverage` is its `GridGeometry`. The domain of a `RenderedImage` is its range of pixel coordinates, which can be part of a grid geometry definition.

This exception may also be thrown when operations on a `GridGeometry` result in an area which does not intersect anymore the `GridExtent` of the original `GridGeometry`.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisjointExtentException()`
  Constructs an exception with no detail message.
  `DisjointExtentException(String message)`
  Constructs an exception with the specified detail message.
  `DisjointExtentException(String message, Throwable cause)`
  Constructs an exception with the specified detail message and cause.
  `DisjointExtentException(GridExtent source, GridExtent request, int dim)`
  Creates an exception with an error message built from the given extents.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DisjointExtentException

    public DisjointExtentException()
    Constructs an exception with no detail message.

  - ### DisjointExtentException

    public DisjointExtentException(String message)
    Constructs an exception with the specified detail message.
    Parameters:
      `message` - the detail message.

  - ### DisjointExtentException

    public DisjointExtentException(String message, Throwable cause)
    Constructs an exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.

  - ### DisjointExtentException

    public DisjointExtentException(GridExtent source, GridExtent request, int dim)
    Creates an exception with an error message built from the given extents.
    Parameters:
      `source` - extent of the source.
      `request` - extent of a slice requested by user.
      `dim` - index of the dimension having an invalid value.
    Since:
      1.3